<template>
  <v-container v-if="dataLoaded">
    <v-row>
      <v-col
        lg="6"
        md="12"
      >
        <change-log />
      </v-col>
      <v-col
        lg="6"
        md="12"
      >
        <correction-statistics />
      </v-col>
      <v-col>
        <SubmissionTypesOverview />
      </v-col>
    </v-row>
  </v-container>
  <v-row
    v-else
    justify="center"
    class="mt-4 pt-4"
  >
    <import-dialog
      v-if="showImportDialog"
      @hide="showImportDialog = false"
      @imported="importDone"
    />
    <v-card class="import-card">
      <v-card-title class="title">
        Import data
      </v-card-title>
      <v-card-text>
        It looks like this instance doesn't contain any data.
        Would you like to import some?
      </v-card-text>
      <v-card-actions class="justify-center">
        <v-btn
          class="info"
          @click="showImportDialog = true"
        >
          Import data
        </v-btn>
      </v-card-actions>
    </v-card>
  </v-row>
</template>

<script>
import CorrectionStatistics from '@/components/CorrectionStatistics'
import ImportDialog from '@/components/ImportDialog'
import ChangeLog from '@/components/ChangeLog'
import SubmissionTypesOverview from '@/components/submission_type/SubmissionTypesOverview'
import { getters } from '../../store/getters'
import { Assignments } from '@/store/modules/assignments'

export default {
  name: 'ReviewerStartPage',
  name: 'reviewer-start-page',
  components: {
    ImportDialog,
    SubmissionTypesOverview,
    ChangeLog,
    CorrectionStatistics },
  data: () => {
    return {
      showImportDialog: false,
      dataImported: false
    }
  },
  computed: {
    dataLoaded () {
      return Object.keys(getters.state.submissionTypes).length !== 0 || this.dataImported
    }
  },
  methods: {
    importDone() {
      this.dataImported = true
      Assignments.RESET_STATE()
    }
  }
}
</script>

<style scoped>

.import-card {
  width: 30%;
}

</style>
